#include <windows.h>
#include <stdio.h>


LRESULT CALLBACK MouseProc(int code, WPARAM wparam, LPARAM lparam)
{
  // we let the minnie executable handle the events

  if (code < 0) {
    return CallNextHookEx(NULL, code, wparam, lparam);
  }

  MSLLHOOKSTRUCT* mhs = (MSLLHOOKSTRUCT*)lparam;
  int x = mhs->pt.x;
  int y = mhs->pt.y;

  if (wparam == WM_MBUTTONDOWN) {

    HWND window = FindWindow("MinnieClass", NULL);
    if (window) {
      PostMessage(window, WM_APP + 0, x, y);
    }

    return -1;

  } else if (wparam == WM_MBUTTONUP) {

    HWND window = FindWindow("MinnieClass", NULL);
    if (window) {
      PostMessage(window, WM_APP + 1, x, y);
    }

    return -1;

  } else {

    return CallNextHookEx(NULL, code, wparam, lparam);

  }
}
